Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface AssemblyElement

public interface AssemblyElement

Version:
  $Revision: 1.3 $
Author:
  Craig Melsopp

Method Summary
`int` | `getChromosomeEnd()`
`java.lang.String` | `getChromosomeName()`
`int` | `getChromosomeStart()`
`int` | `getCloneFragmentEnd()`
`long` | `getCloneFragmentInternalID()`
`int` | `getCloneFragmentOri()`
`int` | `getCloneFragmentStart()`
`java.lang.String` | `getType()`
`void` | `setChromosomeEnd(int chrEnd)`
`void` | `setChromosomeName(java.lang.String chrName)`
`void` | `setChromosomeStart(int chrStart)`
`void` | `setCloneFragmentEnd(int cloneFragEnd)`
`void` | `setCloneFragmentInternalID(long id)`
`void` | `setCloneFragmentOri(int cloneFragOri)`
`void` | `setCloneFragmentStart(int cloneFragStart)`
`void` | `setType(java.lang.String type)`

Method Detail

### setChromosomeName

    public void setChromosomeName(java.lang.String chrName)

### setChromosomeStart

    public void setChromosomeStart(int chrStart)

### setChromosomeEnd

    public void setChromosomeEnd(int chrEnd)

### setCloneFragmentInternalID

    public void setCloneFragmentInternalID(long id)

### setCloneFragmentStart

    public void setCloneFragmentStart(int cloneFragStart)

### setCloneFragmentEnd

    public void setCloneFragmentEnd(int cloneFragEnd)

### setCloneFragmentOri

    public void setCloneFragmentOri(int cloneFragOri)

### setType

    public void setType(java.lang.String type)

### getChromosomeName

    public java.lang.String getChromosomeName()

### getChromosomeStart

    public int getChromosomeStart()

### getChromosomeEnd

    public int getChromosomeEnd()

### getCloneFragmentInternalID

    public long getCloneFragmentInternalID()

### getCloneFragmentStart

    public int getCloneFragmentStart()

### getCloneFragmentEnd

    public int getCloneFragmentEnd()

### getCloneFragmentOri

    public int getCloneFragmentOri()

### getType

    public java.lang.String getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD